{* $Id: DomainInfo.tpl 10429 2007-01-08 17:38:25Z bwoolley $
 * --------------------------------------------------------------
 * This template displays the form elements for domain registration.
 *
 * Author: Kris Bailey
 *}

<div class="st01 st03 box07" style="margin-right: 10px; margin-top: 10px; margin-bottom: 10px; margin-left: 10px;">
<div style="text-align: left; margin-bottom: 2px;">
<h1>{"TRANS_ORDERFORM_DOMAIN_REG_INFO"|lmsg}</h1>
<div style="padding: 5px; background-color: #fff; text-align: center;">
{if $hideContactForm == 0}
		<table width="100%" border="0" cellspacing="0" cellpadding="3">
				{if !$suppressFields}
					<tr>
						<td colspan="2">
							<input name="useContactInfo" id="useContactInfo" type="checkbox" value="1" onmouseup="setTimeout('XKcopyUpdateConditional(\'useContactInfo\');', 10);" checked="checked" /> {"TRANS_ORDERFORM_USE_CONTACT_INFO"|lmsg}
						</td>
					</tr>
				{/if}
				<tr style="text-align: left;">
					<td valign="top" width="50%" style="border-right: 1px solid #999; padding: 10px;">
					{"TRANS_ORDERFORM_FIRST_NAME"|lmsg}<br />
						<input name="registrantFirstName" style="width: 100px;" type="text" value="{$checkoutFormInfo.registrantFirstName}" onkeyup="checkCheckoutFormElementChange(this);" /><br />
					{"TRANS_ORDERFORM_LAST_NAME"|lmsg}<br />
						<input name="registrantLastName" style="width: 100px;" type="text" value="{$checkoutFormInfo.registrantLastName}" onkeyup="checkCheckoutFormElementChange(this);" /><br />
					{$smarty.const.TRANS_ORDERFORM_ADDRESS1}<br />
						<input name="registrantAddress1" style="width: 140px;" type="text" value="{$checkoutFormInfo.registrantAddress1}" onkeyup="checkCheckoutFormElementChange(this);" /><br />
					{$smarty.const.TRANS_ORDERFORM_ADDRESS2}<br />
						<input name="registrantAddress2" style="width: 140px;" type="text" value="{$checkoutFormInfo.registrantAddress2}" onkeyup="checkCheckoutFormElementChange(this);" /><br />
					{"TRANS_ORDERFORM_CONTACT_CITY"|lmsg}<br />
						<input name="registrantCity" style="width: 120px;" type="text" value="{$checkoutFormInfo.registrantCity}" onkeyup="checkCheckoutFormElementChange(this);" /><br />
					{"TRANS_ORDERFORM_CONTACT_STATE"|lmsg}<br />
						<input name="registrantStateProvince" style="width: 120px;" type="text" value="{$checkoutFormInfo.registrantStateProvince}" onkeyup="checkCheckoutFormElementChange(this);" /><br />
					{"TRANS_ORDERFORM_CONTACT_ZIP"|lmsg}<br />
						<input name="registrantPostalCode" style="width: 120px;" type="text" value="{$checkoutFormInfo.registrantPostalCode}" onkeyup="checkCheckoutFormElementChange(this);" /><br />

					</td>

					<td valign="top" width="50%" style="padding: 10px;">

					{"TRANS_ORDERFORM_COMPANY_NAME"|lmsg}<br />
						<input name="registrantOrganizationName" style="width: 140px;" type="text" value="{$checkoutFormInfo.registrantOrganizationName}" onkeyup="checkCheckoutFormElementChange(this);" /><br />
					{"TRANS_ORDERFORM_DOMAIN_JOB_TITLE"|lmsg}<br />
						<input name="registrantJobTitle" style="width: 120px;" type="text" value="{$checkoutFormInfo.registrantJobTitle}" onkeyup="checkCheckoutFormElementChange(this);" /><br />
					{"TRANS_ORDERFORM_CONTACT_EMAIL"|lmsg}<br />
						<input name="registrantEmail" style="width: 120px;" type="text" value="{$checkoutFormInfo.registrantEmail}" onkeyup="checkCheckoutFormElementChange(this);" /><br />
					{$smarty.const.TRANS_ORDERFORM_CONTACT_PHONE1}<br />
						<input name="registrantPhone" style="width: 120px;" type="text" value="{$checkoutFormInfo.registrantPhone}" onkeyup="checkCheckoutFormElementChange(this);" /><br />
					{"TRANS_ORDERFORM_CONTACT_FAX"|lmsg}<br />
						<input name="registrantFax" style="width: 120px;" type="text" value="{$checkoutFormInfo.registrantFax}" onkeyup="checkCheckoutFormElementChange(this);" /><br />
					{"TRANS_ORDERFORM_CONTACT_COUNTRY"|lmsg}<br />
						<select name="registrantCountry" >
						{html_options options=$countryList selected=$checkoutFormInfo.registrantCountry}
						</select>
					</td>

				</tr>




		</table>
{/if}
		{if isset($domainsExtraInfo)}
			<script language="javascript" type="text/javascript" charset="utf-8">
			// <![CDATA[
				{literal}	
						paramsToShow = new Array();
						allDomainParams = new Array();

						function toggleRequiredParams(domainName, attrName)
						{
							var currentCustomerType = document.getElementById('extAttrib['+domainName+']['+attrName+']').value;
							for (i = allDomainParams.length; i--;) {
								var paramName = allDomainParams[i];
								var paramControl =  document.getElementById('extAttribRow['+domainName+']['+paramName+']');
								if (paramControl === null) {
									continue;
								}
								if (paramsToShow[currentCustomerType].in_array(paramName) === true) {
									paramControl.style.display = '';
								} else {
									paramControl.style.display = 'none';
								}
							}
						}
				{/literal}
			//]]>
			</script>
		{/if}

		{foreach key=domainName item=domInfo from=$domainsExtraInfo}
		{if isset($domInfo.title)}
			<div style="text-align: left; margin: 5px 5px;">
				<h3>{$domInfo.title|lmsg}</h2>
			</div>
		{/if}
		{if isset($domInfo.additionalMessage)}
			<div style="text-align: left; margin: 5px 5px;">
				<span>{$domInfo.additionalMessage|lmsg}</span>
			</div>
		{/if}
		<table width="100%" border="0" cellspacing="3" cellpadding="0">
			{assign var="loop" value=$domInfo.attributes}
			{section name=a loop=$loop}
			{assign var="attribute" value=$loop[a]}
			
			{if $attribute.invalid}
				{assign var="class_invalid" value=" class='highlight'"}
				{assign var="text_invalid" value="TRANS_INPUT_RESTRICTION_REQUIRED_MSG"|lmsg}
			{else}
				{assign var="class_invalid" value=""}
				{assign var="text_invalid" value=""}
			{/if}
			<tr id="extAttribRow[{$domainName}][{$attribute.name}]" {$class_invalid}>
				<td align="left" width="200" valign="top" style="padding: 3px;" class="title">{$attribute.description|lmsg}{if 1 == $attribute.required}<b class="red">*</b>{/if}</td>
				<td style="text-align: left; padding: 3px;" valign="top">
				{if $attribute.userdefined != "True"}
					{assign var="divs" value=""}
					{foreach key=key item=option from=$attribute.options}
						{assign var=opvalue value=$option.value}
						{assign var="new" value="XKtoggleOff('$opvalue:$domainName'); "}
						{assign var="divs" value="$divs$new"}
					{/foreach}

					{if $attribute.validationRequiredParams == true}
						{assign var=showHideAttr value=$attribute.name}
						<script language="javascript" type="text/javascript" charset="utf-8">
						// <![CDATA[
							{foreach key=keyParam item=domainParam from=$attribute.allDomainParams}
							{literal}
									allDomainParams[{/literal}{$keyParam}{literal}] = '{/literal}{$domainParam}{literal}';
							{/literal}
							{/foreach}
							{foreach key=key item=option from=$attribute.options}	
							{literal}	
									paramsToShow[{/literal}{$key}{literal}] = new Array();
									{/literal}
										{foreach key=keyField item=optionField from=$option.paramsToShow}
									{literal}
											paramsToShow[{/literal}{$key}{literal}][{/literal}{$keyField}{literal}] = '{/literal}{$optionField}{literal}';
									{/literal}
										{/foreach}
									{literal}									
							{/literal}
							{/foreach}
							{literal}
								toggleRequiredParams('{/literal}{$domainName}{literal}','{/literal}{$attribute.name}{literal}');
							{/literal}
							
						//]]>
						</script>
					{/if}
					
					<select id="extAttrib[{$domainName}][{$attribute.name}]" name="extAttrib[{$domainName}][{$attribute.name}]" {if $attribute.validationRequiredParams == true} onchange="toggleRequiredParams('{$domainName}','{$attribute.name}'); return false;" {/if}>
						{foreach key=key item=option from=$attribute.options}
							<option label="{$option.title|lmsg}" value="{$option.value}"{if $option.value == $attribute.value} selected {elseif $option.value == $attribute.defaultValue} selected {/if}>{$option.title|lmsg}</option>
						{/foreach}
					</select>
					{foreach key=key item=option from=$attribute.options name=lame}
						<div id="{$option.value}:{$domainName}"{if ! $smarty.foreach.lame.first} class="off"{/if}>
							<em>{$option.description|lmsg|html_entity_decode}</em>
						</div>
					{/foreach}
					{$text_invalid}

				{elseif $attribute.multiline != "True"}
					<input size="25" id="extAttrib[{$domainName}][{$attribute.name}]" name="extAttrib[{$domainName}][{$attribute.name}]" type="text" value="{$attribute.value}"/>
					<br/>{$text_invalid}
				{else}
					<textarea style="width:200px;" rows="4" id="extAttrib[{$domainName}][{$attribute.name}]" name="extAttrib[{$domainName}][{$attribute.name}]"/>{$attribute.value}</textarea>
					<br/>{$text_invalid}
				{/if}
				{if isset($attribute.hint)}
					<div class="hint" style="word-wrap: break-word;">{$attribute.hint|lmsg}</div>
				{/if}
				</td>
			</tr>
			{/section}
			{if isset($showHideAttr)}
				<script language="javascript" type="text/javascript" charset="utf-8">
				// <![CDATA[
					{literal}
						toggleRequiredParams('{/literal}{$domainName}{literal}','{/literal}{$showHideAttr}{literal}');
					{/literal}
				//]]>
				</script>
			{/if}
		</table>
		{/foreach}
</div></div></div>
