<?php
unset($_REQUEST["sid"]);
define("MB_LIBPATH", realpath(dirname(__FILE__)."/.."));
define("APP_PARENT", "app-pleskbilling");
define("APP_CURRENT", "admin");
define("APP_LIB", "lib-billing");

require_once(MB_LIBPATH."/lib-pkg/parsefunction.php");
require_once(MB_LIBPATH."/lib-tk/include/prepender.php");


if ( is_null($ppServerID = bgpc("ppServerId"))
	|| is_null($sbSiteUuid = bgpc("sbSiteUuid"))
	|| is_null($sbOneTimeBackUrl = bgpc("sbOneTimeBackUrl"))) {
	throw new Exception("Some of required parameters (ppServerId, sbSiteUuid, sbOneTimeBackUrl) are not specified");
}

$redirectParams = array(
	"ppServerID" => $ppServerID,
	"sbSiteUuid" => $sbSiteUuid,
	"sbOneTimeBackUrl" => $sbOneTimeBackUrl,
);

require_once("object_managers/ControlPanelManager.php");
$panel = ControlPanelManager::getPanelByGUID($ppServerID);
require_once("object_managers/PackageManager.php");
$sbSiteExists = PackageManager::isPackageWithSiteIDExists($sbSiteUuid);
if ($sbSiteExists) {
	require_once(MB_LIBPATH."/lib-action/baseaction.php");
	require_once(MB_LIBPATH."/lib-action/include/url/url.php");
	$redirectParams["siteSigned"] = 1;
	redirect("website_widget.php", "ShowWebsiteWidget", $redirectParams);
}

if (!is_null($storeID = bgpc("storeId"))) {
	$redirectParams["storeID"] = $storeID;
}
if (!is_null($widgetId = bgpc("widgetId"))) {
	$redirectParams["wwid"] = $widgetId;
}

require_once(MB_LIBPATH."/lib-action/include/url/url.php");
redirect("products.php", NULL, $redirectParams);
